import request from '@/utils/request'

// 查询单元管理列表
export function listUnit(query) {
  return request({
    url: '/zdsz/unit/list',
    method: 'get',
    params: query
  })
}

// 查询单元管理详细
export function getUnit(id) {
  return request({
    url: '/zdsz/unit/' + id,
    method: 'get'
  })
}

// 新增单元管理
export function addUnit(data) {
  return request({
    url: '/zdsz/unit',
    method: 'post',
    data: data
  })
}

// 修改单元管理
export function updateUnit(data) {
  return request({
    url: '/zdsz/unit',
    method: 'put',
    data: data
  })
}

// 删除单元管理
export function delUnit(id) {
  return request({
    url: '/zdsz/unit/' + id,
    method: 'delete'
  })
}

export function getUnits(buildingId) {
  return request({
    url: '/zdsz/unit/getUnitList',
    method: 'GET',
    params:{
      buildingId:buildingId
    }
  })
}
